from math import sin, cos, pi
from turtle import *

def fun1(x):
    return 2*cos(pi*x)**3 - 3*sin(3*pi*x/5)

def fun2(x):
    return 2*sin(pi*x/3) + 3*cos(pi*x-2)/(x**2+x+2)**(1/3)

def fun3(x):
    return 3*sin(pi*x/3) + 2*sin(3*pi*x/2)

# küsida kasutajalt a, b, n
##a = numinput("Andmete sisestamine", 'Lõigu algus')
##b = numinput("Andmete sisestamine", 'Lõigu lõpp')
##n = int(numinput("Andmete sisestamine", 'Jaotiste arv'))
a = float(input('Lõigu algus:'))
b = float(input('Lõigu lõpp: '))
n = int(input('Jaotiste arv: '))
samm = (b-a)/n

# moodustada loendid väärtustega
xx = []; f1 = []; f2 = []; f3 = []

for nr in range(n+1):
    x = a + samm*nr
    xx.append(x)
    f1.append(fun1(x))
    f2.append(fun2(x))
    f3.append(fun3(x))

# tabel
for j in range(len(xx)):
    print(xx[j], round(f1[j],3),round(f2[j],3),round(f3[j],3), sep='\t')

# leida loendite min ja max
min1 = min(f1)
min2 = min(f2)
min3 = min(f3)
min_min = min(min1, min2, min3)
max_max = max(max(f1), max(f2), max(f3))

setworldcoordinates(a, min_min, b, max_max)

# joonistamine
speed(0)
pu()
T1 = clone(); T1.color("red"); T1.goto(xx[0],f1[0]); T1.pd()
T2 = clone(); T2.color("blue"); T2.goto(xx[0],f2[0]); T2.pd()
T3 = clone(); T3.color("green"); T3.goto(xx[0],f3[0]); T3.pd()

for j in range(len(xx)):
    T1.goto(xx[j], f1[j])
    T2.goto(xx[j], f2[j])
    T3.goto(xx[j], f3[j])

